[PC-BSD Commits] r940 - in pbibuild/modules/kdesvn: . overlay-dir

svn at pcbsd.org svn at pcbsd.org
Sat Dec 1 06:24:55 PST 2007


Author: gonzalo
Date: 2007-12-01 06:24:54 -0800 (Sat, 01 Dec 2007)
New Revision: 940

Modified:
   pbibuild/modules/kdesvn/copy-files
   pbibuild/modules/kdesvn/overlay-dir/PBI.RemoveScript.sh
   pbibuild/modules/kdesvn/pbi.conf
Log:
personal profiles code added and lang files managed.

Modified: pbibuild/modules/kdesvn/copy-files
===================================================================
--- pbibuild/modules/kdesvn/copy-files	2007-11-30 21:12:09 UTC (rev 939)
+++ pbibuild/modules/kdesvn/copy-files	2007-12-01 14:24:54 UTC (rev 940)
@@ -40,7 +40,18 @@
 /usr/local/share/icons/hicolor/scalable/actions/kdesvn* share/icons/hicolor/scalable/actions/
 /usr/local/share/icons/hicolor/scalable/apps/kdesvn* share/icons/hicolor/scalable/apps/
 /usr/local/share/icons/hicolor/scalable/filesystems/kdesvn* share/icons/hicolor/scalable/filesystems/
-/usr/local/share/locale/*/LC_MESSAGES/kdesvn.mo share/locale/*/LC_MESSAGES/
+/usr/local/share/locale/ca/LC_MESSAGES/kdesvn.mo share/locale/ca/LC_MESSAGES/
+/usr/local/share/locale/cs/LC_MESSAGES/kdesvn.mo share/locale/cs/LC_MESSAGES/
+/usr/local/share/locale/de/LC_MESSAGES/kdesvn.mo share/locale/de/LC_MESSAGES/
+/usr/local/share/locale/es/LC_MESSAGES/kdesvn.mo share/locale/es/LC_MESSAGES/
+/usr/local/share/locale/fr/LC_MESSAGES/kdesvn.mo share/locale/fr/LC_MESSAGES/
+/usr/local/share/locale/gl/LC_MESSAGES/kdesvn.mo share/locale/gl/LC_MESSAGES/
+/usr/local/share/locale/it/LC_MESSAGES/kdesvn.mo share/locale/it/LC_MESSAGES/
+/usr/local/share/locale/lt/LC_MESSAGES/kdesvn.mo share/locale/lt/LC_MESSAGES/
+/usr/local/share/locale/nl/LC_MESSAGES/kdesvn.mo share/locale/nl/LC_MESSAGES/
+/usr/local/share/locale/pa/LC_MESSAGES/kdesvn.mo share/locale/pa/LC_MESSAGES/
+/usr/local/share/locale/ru/LC_MESSAGES/kdesvn.mo share/locale/ru/LC_MESSAGES/
+/usr/local/share/locale/sv/LC_MESSAGES/kdesvn.mo share/locale/sv/LC_MESSAGES/
 /usr/local/share/services/ksvn* share/services/
 /usr/local/share/services/svn* share/services/
 /usr/local/share/services/kded/kdesvnd.desktop share/services/kded/

Modified: pbibuild/modules/kdesvn/overlay-dir/PBI.RemoveScript.sh
===================================================================
--- pbibuild/modules/kdesvn/overlay-dir/PBI.RemoveScript.sh	2007-11-30 21:12:09 UTC (rev 939)
+++ pbibuild/modules/kdesvn/overlay-dir/PBI.RemoveScript.sh	2007-12-01 14:24:54 UTC (rev 940)
@@ -51,4 +51,17 @@
 rm -fR /usr/local/share/locale/*/LC_MESSAGES/kdesvn.mo
 rm -fR /usr/local/share/services/ksvn*
 rm -fR /usr/local/share/services/svn*
-rm -fR /usr/local/share/services/kded/kdesvnd.desktop
\ No newline at end of file
+rm -fR /usr/local/share/services/kded/kdesvnd.desktop
+
+cd /home 
+ for i in `ls` 
+ do 
+   if [ -d "/home/${i}/.kde/share/apps/kdesvn" ] 
+   then 
+     kdialog --title "Uninstalling Kdesvn!" --yesno "Do you want to delete this PBI completely?\nIf you answer 'Yes', configuration files and all information located in /home/${i}/.kde/share/apps/kdesvn will be erased." 
+     if [ "$?" = "0" ] 
+     then 
+       rm -fR /home/${i}/.kde/share/apps/kdesvn
+     fi 
+   fi 
+ done 
\ No newline at end of file

Modified: pbibuild/modules/kdesvn/pbi.conf
===================================================================
--- pbibuild/modules/kdesvn/pbi.conf	2007-11-30 21:12:09 UTC (rev 939)
+++ pbibuild/modules/kdesvn/pbi.conf	2007-12-01 14:24:54 UTC (rev 940)
@@ -32,6 +32,6 @@
 
 # Build Key - Change this to anything else to trigger a rebuild 
 #           - The rebuild will take place even if port is still the same ver
-BUILDKEY="32"
+BUILDKEY="33"
 
 export PBIPORT MAKEOPTS PROGNAME PROGWEB PROGAUTHOR OTHERPORT PROGICON PROGLIBS PBIUPDATE BUILDKEY



More information about the Commits mailing list